Name:           nautilus-search-tool
Version:        0.3.0
Release:        10%{?dist}
Summary:        A Nautilus extension that makes searching for files easier

Group:          System Environment/Shells
License:        GPLv2+
URL:            http://saettaz.altervista.org/software/nautilus_search_tool.html
Source0:        http://dl.sourceforge.net/nautsearchtool/%{name}-%{version}.tar.gz
Patch0:         nautilus-search-tool-0.3.0-headers-typos.patch
Patch1:         nautilus-search-tool-no-eels.patch
Patch2:         nautilus-search-tool-0.3.0-noninit.patch
Patch3:		nautilus-search-tool-0.3.0-startdir.patch
Patch4:		nautilus-search-tool-0.3.0-gtk3.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gnome-desktop-devel >= 2.10.0
BuildRequires:	libtool gettext intltool
BuildRequires:	nautilus-devel
BuildRequires:	GConf2-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:  /usr/bin/gnome-search-tool


%description
This package adds an option to the context menu of folders in Nautilus to
search for files.

%prep
%setup -q
%patch0 -p1 -b .headers-typos
%patch1 -p1 -b .no-eels
%patch2 -p1 -b .noninit
%patch3 -p1 -b .startdir
%patch4 -p1 -b .gtk3
autoconf

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%doc AUTHORS COPYING
%defattr(-,root,root,-)
%{_libdir}/nautilus/extensions-3.0/*.so

%changelog
* Fri Feb 11 2011 Matthias Clasen <mclasen@redhat.com> - 0.3.0-10
- Rebuild against newer gtk

* Wed Feb  9 2011 Paul W. Frields <stickster@gmail.com> - 0.3.0-9
- Fix missing BR (#660990)
- Fix building under GTK3

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Feb 26 2010 Paul W. Frields <stickster@gmail.com> - 0.3.0-7
- Fix reversed conditional for --path (#568692, James Ettle)

* Mon Jan 18 2010 Paul W. Frields <stickster@gmail.com> - 0.3.0-6
- Rebuild for libgnome-desktop soname bump

* Mon Nov  2 2009 Paul W. Frields <stickster@gmail.com> - 0.3.0-5
- Drop patch in favor of gnome-utils-2.28.1-3

* Mon Nov 02 2009 Paul W. Frields <stickster@gmail.com> - 0.3.0-4
- Cope with missing --version in gnome-search-tool (#516491)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 18 2009 Paul W. Frields <stickster@gmail.com> - 0.3.0-2
- Fix missing BuildRequires

* Sat Jul 18 2009 Paul W. Frields <stickster@gmail.com> - 0.3.0-1
- Update to upstream 0.3.0
- Fixes bug #477810

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Dec 19 2008 Matthias Clasen  <mclasen@redhat.com> - 0.2.2-8
- Try harder not to link against eel

* Tue Dec 16 2008 Matthias Clasen  <mclasen@redhat.com> - 0.2.2-7
- Rebuild to drop eel dependency

* Fri Nov 28 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.2-6
- rebuild for dependancies

* Sat Nov 22 2008 Paul W. Frields <stickster@gmail.com> - 0.2.2-5
- Fix summary

* Thu Jun 06 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.2-4
- rebuild for dependancies

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.2-3
- Autorebuild for GCC 4.3

* Thu Dec 27 2007 Paul W. Frields <stickster@gmail.com> - 0.2.2-2
- Put extension in the proper directory (#426831)

* Fri Aug 17 2007 Paul W. Frields <stickster@gmail.com> - 0.2.2-1
- Update License tag
- Updated to 0.2.2

* Wed Aug 30 2006 Paul W. Frields <stickster@gmail.com> - 0.2-2
- Fix BuildRequires (#200420)

* Sat Feb 18 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.2-1
- Upstream update

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1-2
- Rebuild for Fedora Extras 5

* Tue Sep  3 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.1-1
- Initial RPM release
